#include <stdio.h>

void fun(char *c, int d)
{
    printf("%d\n", *c); // 97
    c = c + 1;
    printf("%d\n", *c); // 65
    d = d + 1;
    printf("fun ---> %c, %c\n", *c, d);
}

int main()
{
    char a = 'A', b = 'a';
    fun(&b, a);
    printf("main --> %c, %c\n", a, b);
    return 0;
}